<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('Add Dog')"></head>

<body>

    <div class="container-fluid">

        <div class="card w-75 mx-auto mt-3">
            <div class="card-body">
                <h1 class="card-title" th:if="${dog.id == null}">Add dog</h1>
                <h1 class="card-title" th:if="${dog.id != null}">Edit dog</h1>
                <form th:action="@{/add-dog}" method="post">

                    <input th:if="${dog.id != null}" type="hidden" th:field="${dog.id}">
                    <label for="name">Name</label>
                    <input class="form-control" type="text" id="name" th:field="${dog.name}">
                    <label for="breed">Breed</label>
                    <input class="form-control" type="text" id="breed" th:field="${dog.breed}">
                    <label for="birthdate">Birthdate</label>
                    <input class="form-control" type="date" id="birthdate" th:field="${dog.birthdate}">
                    <button class="btn btn-primary mt-3">Add</button>

                </form>
            </div>
        </div>
    </div>

</body>

</html>